%define pyname  pyside2

%define qttarballdir pyside-setup-opensource-src

Name:           pyside2-tools
Version:        5.15.2
Release:        %mkrel 1
License:        LGPLv2+
Summary:        Development tools for PySide2 (uic, rcc, lupdate)
Group:          Development/KDE and Qt
URL:            https://wiki.qt.io/Qt_for_Python
Source0:        http://download.qt.io/official_releases/QtForPython/pyside2/PySide2-%{version}-src/%{qttarballdir}-%{version}.tar.xz
Patch0:         0001-Don-t-copy-Qt-s-uic-or-rcc.patch
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Network)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Xml)

BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-setuptools
BuildRequires:  python3-sphinx
BuildRequires:  pkgconfig(shiboken2)
BuildRequires:  pkgconfig(pyside2)

Requires:       qtbase5-common-devel

%description
PySide2 is the Python3 Qt5 bindings project. This package contains the
PySide2 development tools (uic, rcc, lupdate).

%files
%{_bindir}/%{pyname}-lupdate
%{_bindir}/rcc
%{_bindir}/uic
%{_bindir}/pyside_tool.py
%{_mandir}/man1/%{pyname}-*.1.*

%prep
%setup -q -n %{qttarballdir}-%{version}
%autopatch -p1

%build
%global _vpath_srcdir sources/pyside2-tools
%cmake -DBUILD_TESTS=OFF
%cmake_build

%install
%cmake_install

# Avoid duplicate build-ids as pyside2 uses now Qt's uic and rcc tools
# https://code.qt.io/cgit/pyside/pyside-tools.git/commit/?h=5.14&id=c976560a1a8fef26f117b7aec2f60358a7ef91b6
ln -sf %{_qt5_bindir}/uic %{buildroot}%{_bindir}/uic
ln -sf %{_qt5_bindir}/rcc %{buildroot}%{_bindir}/rcc

# Some files got ambiguous python shebangs, we fix them after everything else is done
pathfix.py -pni "%{__python3} %{py3_shbang_opts}" %{buildroot}%{_bindir}


%changelog
* Sat Dec 05 2020 daviddavid <daviddavid> 5.15.2-1.mga8
+ Revision: 1652919
- New version 5.15.2

* Sat Sep 12 2020 daviddavid <daviddavid> 5.15.1-1.mga8
+ Revision: 1625258
- New version 5.15.1

* Fri Jun 05 2020 daviddavid <daviddavid> 5.15.0-1.mga8
+ Revision: 1590502
- New version 5.15.0

* Thu Feb 20 2020 umeabot <umeabot> 5.14.1-3.mga8
+ Revision: 1545962
- Mageia 8 Mass Rebuild

* Thu Jan 30 2020 wally <wally> 5.14.1-2.mga8
+ Revision: 1485668
- use uic and rcc from qtbase5-common-devel

* Thu Jan 30 2020 daviddavid <daviddavid> 5.14.1-1.mga8
+ Revision: 1485590
- New version 5.14.1
- New version 5.14.0

* Thu Jan 09 2020 daviddavid <daviddavid> 5.13.1-2.mga8
+ Revision: 1477360
- rebuild for arm
+ wally <wally>
- build with new cmake macros

* Sun Sep 15 2019 daviddavid <daviddavid> 5.13.1-1.mga8
+ Revision: 1441128
- New version 5.13.1

* Sat Jul 27 2019 daviddavid <daviddavid> 5.13.0-1.mga8
+ Revision: 1424522
- New version 5.13.0

* Sun Apr 07 2019 daviddavid <daviddavid> 5.12.2-1.mga7
+ Revision: 1386586
- initial package pyside2-tools

